- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IBroadcastEventReceiver
IButtonControl
INamingContainer
IPageStatePersister
IPostBackDataHandler
IPostBackEventHandler
ISurroundable
ITemplate
ITheme
IValidatable
IValidator
TBroadcastEventParameter
TCachePageStatePersister
TClientScriptManager
TClientSideOptions
TCommandEventParameter
TCompositeControl
TCompositeLiteral
TControl
TControlAdapter
TControlCollection
TEmptyControlCollection
TForm
THead
THtmlWriter
TPage
TPageStateFormatter
TPageStatePersister
TSessionPageStatePersister
TTemplate
TTemplateControl
TTemplateManager
TTextProcessor
TTheme
TThemeManager

Keyword

# Class TCompositeLiteral

    TComponent
       |
       --TCompositeLiteral

TCompositeLiteral class

TCompositeLiteral is used internally by TTemplate for representing consecutive static strings, expressions and statements.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constructor Summary
public | __construct Array Constructor.

Method Summary
void | dataBind () Performs databindings.
void | evaluateDynamicContent () Evaluates the expressions and/or statements in the component.
TComponent | getContainer ()
void | render ( ITextWriter $writer) Renders the content stored in this component.
void | setContainer ( TComponent $value)

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary
int | TYPE_DATABINDING |
int | TYPE_EXPRESSION |
int | TYPE_STATEMENTS |

Constructor Details

## __construct

public __construct | Array

Constructor.

Method Details

## dataBind

public void dataBind | ()

Performs databindings.

This method is required by IBindable

Output
Exception

## evaluateDynamicContent

public void evaluateDynamicContent | ()

Evaluates the expressions and/or statements in the component.

Output
Exception

## getContainer

public TComponent getContainer | ()

Output
TComponent | container of this component. It serves as the evaluation context of expressions and statements.
Exception

## render

public void render | (ITextWriter $writer )

Renders the content stored in this component.

This method is required by IRenderable

Input
ITextWriter | $writer |
Output
Exception

## setContainer

public void setContainer | (TComponent $value )

Input
TComponent | $value | container of this component. It serves as the evaluation context of expressions and statements.
Output
Exception

Constant Details

### TYPE_DATABINDING

#### Type:

int

#### Value:

2

### TYPE_EXPRESSION

#### Type:

int

#### Value:

0

### TYPE_STATEMENTS

#### Type:

int

#### Value:

1